Collator::setStrength
Collator::sort
Collator
PHP Manual

# Collator::sortWithSortKeys

# collator_sort_with_sort_keys

Sort array using specified collator and sort keys

### Description

Object oriented style

public bool Collator::sortWithSortKeys ( array `&$arr` )

Procedural style

bool collator_sort_with_sort_keys ( Collator `$coll` , array `&$arr` )

Similar to collator_sort but uses ICU sorting keys produced by ucol_getSortKey() to gain more speed on large arrays.

### Parameters

`coll`

  Collator object.

`arr`

  Array of strings to sort

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 collator_sort_with_sort_keys example

`<?php
$arr = array( 'Köpfe', 'Kypper', 'Kopfe' );
$coll = collator_create( 'sv' );
collator_sort_with_sort_keys( $coll, $arr );
var_export( $arr );
?>`

The above example will output:

    array (
      0 => 'Kopfe',
      1 => 'Kypper',
      2 => 'Köpfe',
    )

### See Also

- Collator constants
- collator_sort
- collator_asort